=== debian/changelog ===
cmark-gfm (0.28.3.gfm.17-1) unstable; urgency=medium

  * Initial release. (Closes: #894271)

 -- Keith Packard <keithp@keithp.com>  Mon, 08 Oct 2018 11:08:01 -0700
