=== debian/changelog ===
cmark-gfm (0.28.3.gfm.19-3) unstable; urgency=medium

  * Add library dependencies to -dev packages

 -- Keith Packard <keithp@keithp.com>  Tue, 23 Oct 2018 09:50:25 -0700

cmark-gfm (0.28.3.gfm.19-2) unstable; urgency=medium

  * Add @builddeps@ to tests/control

 -- Keith Packard <keithp@keithp.com>  Mon, 22 Oct 2018 18:14:55 -0700

cmark-gfm (0.28.3.gfm.19-1) unstable; urgency=medium

  * Upstream version 0.28.3.gfm.19

 -- Keith Packard <keithp@keithp.com>  Mon, 22 Oct 2018 13:18:32 -0700
