## cmark-gfm 0.28.3.gfm.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 set(PROJECT_VERSION_MAJOR 0)
 set(PROJECT_VERSION_MINOR 28)
 set(PROJECT_VERSION_PATCH 3)
-set(PROJECT_VERSION_GFM 19)
+set(PROJECT_VERSION_GFM 20)
 set(PROJECT_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}.gfm.${PROJECT_VERSION_GFM} )
 
 option(CMARK_TESTS "Build cmark-gfm tests and enable testing" ON)
