=== debian/changelog ===
cmark-gfm (0.29.0.gfm.0-4) unstable; urgency=medium

  * Add patch to make tests compatible with Python 3.8

 -- Keith Packard <keithp@keithp.com>  Mon, 09 Mar 2020 13:16:13 -0700

cmark-gfm (0.29.0.gfm.0-3) unstable; urgency=medium

  * Add patch increasing pathological test limit to 10s for sparc64

 -- Keith Packard <keithp@keithp.com>  Tue, 17 Dec 2019 13:33:53 -0800

cmark-gfm (0.29.0.gfm.0-2) unstable; urgency=medium

  * Merge upstream fix for tasklist on MSB machines (Closes: #944652)

 -- Keith Packard <keithp@keithp.com>  Mon, 16 Dec 2019 20:37:41 -0800

cmark-gfm (0.29.0.gfm.0-1) unstable; urgency=medium

  * Upstream version 0.29.0.gfm.0
  * Change 'debian/watch' to look for upstream tags including 'gfm'
  * Replace large file support for 32-bit builds with upstream version

 -- Keith Packard <keithp@keithp.com>  Mon, 22 Apr 2019 11:26:50 -0700
