=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Homepage: https://github.com/github/cmark
 Maintainer: Keith Packard <keithp@keithp.com>
-Build-Depends: debhelper (>= 11), cmake, python3
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), cmake, python3
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 
 Package: cmark-gfm
 Architecture: any
@@ -21,6 +22,7 @@
 Package: libcmark-gfm0
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CommonMark GitHub flavor gfm library
  cmark-gfm is the GitHub flavor of the cmark C reference
@@ -31,6 +33,7 @@
 Package: libcmark-gfm-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: ${misc:Depends}, libcmark-gfm0 (= ${binary:Version})
 Description: CommonMark GitHub flavor gfm library dev files
  cmark-gfm is the GitHub flavor of the cmark C reference
@@ -41,6 +44,7 @@
 Package: libcmark-gfm-extensions0
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CommonMark GitHub flavor gfm extension library
  cmark-gfm is the GitHub flavor of the cmark C reference
@@ -51,6 +55,7 @@
 Package: libcmark-gfm-extensions-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: ${misc:Depends}, libcmark-gfm-extensions0 (= ${binary:Version})
 Description: CommonMark GitHub flavor gfm extensions library dev files
  cmark-gfm is the GitHub flavor of the cmark C reference
