=== debian/changelog ===
cmark-gfm (0.29.0.gfm.2-1+really.0.29.0.gfm.0ubuntu1) jammy; urgency=medium

  * Revert to 0.29.0.gfm.0-6 for Jammy. (LP: #1958235)
    The new version, 0.29.0.gfm.2-1, is a SONAME bump
    and causes a regression in pandoc, pandoc-citeproc,
    patat, gitit, blogliterately, at least. Therefore,
    revert to the older version until this is fixed in
    Debian and then we can have this sync'd here again.
    (LP: #1958235)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 19 Jan 2022 05:38:01 +0530

cmark-gfm (0.29.0.gfm.2-1) unstable; urgency=medium

  * New upstream version.
  * Fix for CVE-2020-5238. (Closes: #965984)
  * Switch man page --safe to --unsafe. (Closes: #1003745)

 -- Keith Packard <keithp@keithp.com>  Mon, 17 Jan 2022 16:43:27 -0800

cmark-gfm (0.29.0.gfm.0-6) unstable; urgency=medium

  * Use <stdbool.h> directly instead of "config.h". (Closes: #969212)

 -- Keith Packard <keithp@keithp.com>  Wed, 02 Sep 2020 10:25:33 -0700

cmark-gfm (0.29.0.gfm.0-5) unstable; urgency=medium

  * Install header files in -dev packages. (Closes: #968709)
  * Fix .symbols files for new upstream version.
  * Install libcmark-gfm.pc in arch directory

 -- Keith Packard <keithp@keithp.com>  Fri, 28 Aug 2020 10:24:17 -0700
