=== debian/changelog ===
cmark-gfm (0.29.0.gfm.3-3) unstable; urgency=medium

  * Need to upload orig source

 -- Keith Packard <keithp@keithp.com>  Fri, 11 Mar 2022 12:10:24 -0800

cmark-gfm (0.29.0.gfm.3-2) unstable; urgency=medium

  * Need to upload binary version

 -- Keith Packard <keithp@keithp.com>  Fri, 11 Mar 2022 11:15:14 -0800

cmark-gfm (0.29.0.gfm.3-1) unstable; urgency=medium

  * New upstream version.
  * Fix for CVE-2022-24724. (Closes: #1006756)

 -- Keith Packard <keithp@keithp.com>  Fri, 11 Mar 2022 10:39:54 -0800

cmark-gfm (0.29.0.gfm.2-2) unstable; urgency=medium

  * Generate library package names from cmark-gfm upstream
    version. (Closes: #1003964)

 -- Keith Packard <keithp@keithp.com>  Wed, 19 Jan 2022 16:03:13 -0800
