=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Homepage: https://github.com/github/cmark
 Maintainer: Keith Packard <keithp@keithp.com>
-Build-Depends: debhelper-compat (= 12), cmake, python3
+Build-Depends: debhelper-compat (= 13), cmake, python3
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 
 Package: cmark-gfm
 Architecture: any
@@ -19,10 +19,12 @@
  This GitHub flavored version has extensions for org-mode style
  tables, auto-linking, and more.
 
-Package: libcmark-gfm0
+Package: libcmark-gfm0.29.0.gfm.3
 Architecture: any
 Section: libs
 Multi-Arch: same
+Replaces: libcmark-gfm0 (>= ${source:Upstream-Version})
+Breaks: libcmark-gfm0 (>= ${source:Upstream-Version})
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CommonMark GitHub flavor gfm library
  cmark-gfm is the GitHub flavor of the cmark C reference
@@ -34,17 +36,19 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: ${misc:Depends}, libcmark-gfm0 (= ${binary:Version})
+Depends: ${misc:Depends}, libcmark-gfm0.29.0.gfm.3 (= ${binary:Version})
 Description: CommonMark GitHub flavor gfm library dev files
  cmark-gfm is the GitHub flavor of the cmark C reference
  implementation of CommonMark, a rationalized version of Markdown
  syntax with a spec. This package provides the development files for
  the gfm library
 
-Package: libcmark-gfm-extensions0
+Package: libcmark-gfm-extensions0.29.0.gfm.3
 Architecture: any
 Section: libs
 Multi-Arch: same
+Replaces: libcmark-gfm-extensions0 (>= ${source:Upstream-Version})
+Breaks: libcmark-gfm-extensions0 (>= ${source:Upstream-Version})
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CommonMark GitHub flavor gfm extension library
  cmark-gfm is the GitHub flavor of the cmark C reference
@@ -56,7 +60,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: ${misc:Depends}, libcmark-gfm-extensions0 (= ${binary:Version})
+Depends: ${misc:Depends}, libcmark-gfm-extensions0.29.0.gfm.3 (= ${binary:Version})
 Description: CommonMark GitHub flavor gfm extensions library dev files
  cmark-gfm is the GitHub flavor of the cmark C reference
  implementation of CommonMark, a rationalized version of Markdown
