=== extensions/CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
   add_library(${STATICLIBRARY} STATIC ${LIBRARY_SOURCES})
 
   set_target_properties(${STATICLIBRARY} PROPERTIES
-    COMPILE_FLAGS "-DCMARK_STATIC_DEFINE -DCMARKEXTENSIONS_STATIC_DEFINE"
+    COMPILE_FLAGS "-DCMARK_GFM_STATIC_DEFINE -DCMARK_GFM_EXTENSIONS_STATIC_DEFINE"
     POSITION_INDEPENDENT_CODE ON)
 
   if (MSVC)
