=== debian/changelog ===
cmark-gfm (0.29.0.gfm.6-6) unstable; urgency=medium

  * Another attempt to get spec.html to be created by buildd

 -- Keith Packard <keithp@keithp.com>  Wed, 28 Dec 2022 22:21:05 -0800

cmark-gfm (0.29.0.gfm.6-5) unstable; urgency=medium

  * Merge in patch from NMU 0.29.0.gfm.6-2.1

 -- Keith Packard <keithp@keithp.com>  Wed, 28 Dec 2022 21:38:59 -0800

cmark-gfm (0.29.0.gfm.6-4) unstable; urgency=medium

  * Add install depend on spec.html to get that built at the right time

 -- Keith Packard <keithp@keithp.com>  Wed, 28 Dec 2022 21:31:22 -0800

cmark-gfm (0.29.0.gfm.6-3) unstable; urgency=medium

  * Set cmark-gfm to Multi-Arch: foriegn. (Closes: #1027152)
  * Install config.h with libcmark-gfm-dev. (Closes: #1022183)
  * Install spec (both .txt and .html). (Closes: #1023350)

 -- Keith Packard <keithp@keithp.com>  Wed, 28 Dec 2022 13:41:28 -0800

cmark-gfm (0.29.0.gfm.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch to fix FTBFS on s390x (Closes: #1023020)

 -- Scott Talbert <swt@techie.net>  Wed, 30 Nov 2022 10:41:13 -0500

cmark-gfm (0.29.0.gfm.6-2) unstable; urgency=medium

  * Binary version because the library always changes package
    names.
  * New upstream includes fix for CVE-2022-39209. (Closes: #1020588)
  
 -- Keith Packard <keithp@keithp.com>  Tue, 25 Oct 2022 23:24:33 -0700

cmark-gfm (0.29.0.gfm.6-1) unstable; urgency=medium

  * New upstream version.
  * Install all headers in /usr/include/cmark-gfm. (Closes: #1022183)

 -- Keith Packard <keithp@keithp.com>  Tue, 25 Oct 2022 22:38:21 -0700
