=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 Package: cmark-gfm
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CommonMark parsing and rendering program, GitHub flavor
  cmark-gfm is the GitHub flavor of the cmark C reference
@@ -19,7 +20,7 @@
  This GitHub flavored version has extensions for org-mode style
  tables, auto-linking, and more.
 
-Package: libcmark-gfm0.29.0.gfm.3
+Package: libcmark-gfm0.29.0.gfm.6
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -36,14 +37,14 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: ${misc:Depends}, libcmark-gfm0.29.0.gfm.3 (= ${binary:Version})
+Depends: ${misc:Depends}, libcmark-gfm0.29.0.gfm.6 (= ${binary:Version})
 Description: CommonMark GitHub flavor gfm library dev files
  cmark-gfm is the GitHub flavor of the cmark C reference
  implementation of CommonMark, a rationalized version of Markdown
  syntax with a spec. This package provides the development files for
  the gfm library
 
-Package: libcmark-gfm-extensions0.29.0.gfm.3
+Package: libcmark-gfm-extensions0.29.0.gfm.6
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -60,7 +61,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: ${misc:Depends}, libcmark-gfm-extensions0.29.0.gfm.3 (= ${binary:Version})
+Depends: ${misc:Depends}, libcmark-gfm-extensions0.29.0.gfm.6 (= ${binary:Version})
 Description: CommonMark GitHub flavor gfm extensions library dev files
  cmark-gfm is the GitHub flavor of the cmark C reference
  implementation of CommonMark, a rationalized version of Markdown
