=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_CMAKE_EXTRA_FLAGS=\
 	-DCMAKE_INSTALL_LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
 	-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
-	-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON 
+	-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
 
 %:
 	dh $@ --buildsystem=cmake
@@ -23,3 +23,7 @@
 	sed 's/%DEB_VERSION_UPSTREAM%/$(DEB_VERSION_UPSTREAM)/g' $< > $@
 	echo 'usr/lib/*/libcmark-gfm.so.*' > debian/libcmark-gfm$(DEB_VERSION_UPSTREAM).install
 	echo 'usr/lib/*/libcmark-gfm-extensions.so.*' > debian/libcmark-gfm-extensions$(DEB_VERSION_UPSTREAM).install
+
+override_dh_auto_install:
+	dh_auto_install
+	*/src/cmark-gfm test/spec.txt > debian/tmp/spec.html
